package com.ssj.service.kmt.correctsys.dto;

import java.io.Serializable;

/**
 * @author Admin
 * @title: TeacherDetailDto
 * @projectName ssj
 * @description: TODO
 * @date 2019/5/22 13:52
 */
public class TeacherDetailDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     *头像
     */
    private String imgUrl;

    /**
     *姓名
     */
    private String name;


    /**
     *学校
     */

    private  String school;

    /**
     * 状态
     */


    private  String status;

    /**
     *	科目
     */
    private  String subject;

    /**
     * 批改年级
     */
    private String grade;

    /**
     *可批改时间
     */
     private  String period;

    /**
     *手机号
     */
    private String phone;

    /**
     *上次登录时间
     */
    private String lastOnlineTime;

    /**
     *	正确率
     */
    private String accuracyRate;

    /**
     *被报错次数
     */
    private int wrongCount;

    /**
     *满意度
     */
    private String satisfactionDegree;
    /**
     * 当月被禁次数
     */
    private int bannedNums;
    /**
     * 最近被禁时长
     */
    private String bannedLong;
    /**
     * 纠正次数
     */
    private int correctNums;
    /**
     * 老师等级（1：⻘铜:2：⽩银 3：⻩⾦:4：铂⾦:5：钻⽯）
     */
    private int teacherLevel;

    public int getTeacherLevel() {
        return teacherLevel;
    }

    public void setTeacherLevel(int teacherLevel) {
        this.teacherLevel = teacherLevel;
    }

    public int getCorrectNums() {
        return correctNums;
    }

    public void setCorrectNums(int correctNums) {
        this.correctNums = correctNums;
    }

    public int getBannedNums() {
        return bannedNums;
    }

    public void setBannedNums(int bannedNums) {
        this.bannedNums = bannedNums;
    }

    public String getBannedLong() {
        return bannedLong;
    }

    public void setBannedLong(String bannedLong) {
        this.bannedLong = bannedLong;
    }

    public String getImgUrl() {
        return imgUrl;
    }

    public void setImgUrl(String imgUrl) {
        this.imgUrl = imgUrl;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getSchool() {
        return school;
    }

    public void setSchool(String school) {
        this.school = school;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }

    public String getGrade() {
        return grade;
    }

    public void setGrade(String grade) {
        this.grade = grade;
    }

    public String getPeriod() {
        return period;
    }

    public void setPeriod(String period) {
        this.period = period;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getLastOnlineTime() {
        return lastOnlineTime;
    }

    public void setLastOnlineTime(String lastOnlineTime) {
        this.lastOnlineTime = lastOnlineTime;
    }

    public String getAccuracyRate() {
        return accuracyRate;
    }

    public void setAccuracyRate(String accuracyRate) {
        this.accuracyRate = accuracyRate;
    }

    public int getWrongCount() {
        return wrongCount;
    }

    public void setWrongCount(int wrongCount) {
        this.wrongCount = wrongCount;
    }

    public String getSatisfactionDegree() {
        return satisfactionDegree;
    }

    public void setSatisfactionDegree(String satisfactionDegree) {
        this.satisfactionDegree = satisfactionDegree;
    }



}
